Skip to main content
POST
Create a ticket comment
Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

ticketId
string
required

Body

application/json
text
string
required

Comment text. Mention a person with @Display Name [blocked] or @Display Name [blocked]; mentioned people are notified

Minimum string length: 1
visibility
enum<string>
default:INTERNAL

INTERNAL comments are team-only (admins and assignee), never shown to the requester; PUBLIC comments are visible to the ticket requester

Available options:
INTERNAL,
PUBLIC
taskId
string

Id of a task of this ticket the comment concerns

Response

default - application/json
id
string
required
text
string
required
creator
object
required
visibility
enum<string>
required

INTERNAL comments are team-only (admins and assignee), never shown to the requester; PUBLIC comments are visible to the ticket requester

Available options:
INTERNAL,
PUBLIC
taskId
string | null
required

Id of the ticket task this comment concerns, if any

createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$